Many errors after installation

Dear Support Team,
I installed UBDataMigrationLite 1.0.6 on fresh Magento 2.4.5 and I got a lot of errors in admin panel like this:
Deprecated: Return type of CCache:offsetExists($id)…..
Deprecated: Return type of CModel::offsetExists($offset)….
Deprecated: json_decode(): Passing null to parameter #1 ($json)…..
Deprecated: Return type of CHttpSession::getIterator() ….
 and so on. I can send all full errors text later if you need.

But there is more critical errors.
Error 500
Return type of CList::getIterator() should either be compatible with IteratorAggregate::getIterator(): Traversable, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice
 
Fatal error: During inheritance of IteratorAggregate: Uncaught in /var/www/vhosts/compassionate-mcnulty.92-205-160-224.plesk.page/httpdocs/pub/ub-tool/yii/collections/CList.php on line 38
 
Could you please help me to solve this problem?
 
Best regards,
Vladimir
 

3 answers

Profile photo of ubdev Staff 93700.00 $tone October 6, 2022
Public

Hi,

Hello. Yes, I went through it. The basic version is installed with errors ((

We hope that installing the Pro version of UB Data Migration solved your problem.
In case you need technical assistance from our team, it is recommended to open a separate topic to get the best support.
 

#3

Please login or Register to Submit Answer

Written By

Comments